We have a new version of our API with a lot of new functionality that you should consider migrating to. Please contact your Account Manager if you would like access. The documentation can be found at https://api.mapyourshow.com/mysRest/v2/
CHANGES:
Completing a successful call to the MYS Rest API requires that you first make a call to authorize and then use the value returned to make the subsequent call as an Authorization header. The token returned from the authorization call is valid for 60 minutes.
NOTE: Calls can not be called from a web browser.
Example:
This is a list of some of the most common response codes you'll get from our REST API. We use standard HTTP Status Codes, a full list of which can be found at http://www.restapitutorial.com/httpstatuscodes.html
You should also get some written text back with any non-200 Status Code explaining the issue.
These methods are common methods that don't pertain to any particular group.
/Authorize
GET
/GUIDs
GET
These methods are for retrieving exhibitor data.
/Exhibitors
GET
These methods are for retrieving booth data.
These methods are for accessing and updating exhibitor categories.
These methods are for retrieving session data.
/Sessions
GET
/Sessions/List
GET
These methods are for accessing and managing registered users.
/Users
PUT
POST
GET
/Users/Modified
GET
These methods are for accessing and updating a registered users agenda.
/Agendas/Events
DELETE
PUT
POST
GET
/Agendas/Exhibitors
DELETE
PUT
POST
GET
/Agendas/Sessions
DELETE
POST
GET